package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.ZsyzTcxx;
import com.ruoyi.system.mapper.projectV2.ZsyzTcxxMapper;
import com.ruoyi.system.service.projectV2.IZsyzTcxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 招商引资_投产信息Service业务层处理
 * 
 * @author boman
 * @date 2023-02-22
 */
@Service
public class ZsyzTcxxServiceImpl implements IZsyzTcxxService
{
    @Autowired
    private ZsyzTcxxMapper zsyzTcxxMapper;

    /**
     * 查询招商引资_投产信息
     * 
     * @param id 招商引资_投产信息ID
     * @return 招商引资_投产信息
     */
    @Override
    public ZsyzTcxx selectZsyzTcxxById(Long id)
    {
        return zsyzTcxxMapper.selectZsyzTcxxById(id);
    }

    /**
     * 查询招商引资_投产信息列表
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 招商引资_投产信息
     */
    @Override
    public List<ZsyzTcxx> selectZsyzTcxxList(ZsyzTcxx zsyzTcxx)
    {
        return zsyzTcxxMapper.selectZsyzTcxxList(zsyzTcxx);
    }

    /**
     * 新增招商引资_投产信息
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 结果
     */
    @Override
    public int insertZsyzTcxx(ZsyzTcxx zsyzTcxx)
    {
        zsyzTcxx.setCreateTime(DateUtils.getNowDate());
        return zsyzTcxxMapper.insertZsyzTcxx(zsyzTcxx);
    }

    /**
     * 修改招商引资_投产信息
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 结果
     */
    @Override
    public int updateZsyzTcxx(ZsyzTcxx zsyzTcxx)
    {
        zsyzTcxx.setUpdateTime(DateUtils.getNowDate());
        return zsyzTcxxMapper.updateZsyzTcxx(zsyzTcxx);
    }

    /**
     * 批量删除招商引资_投产信息
     * 
     * @param ids 需要删除的招商引资_投产信息ID
     * @return 结果
     */
    @Override
    public int deleteZsyzTcxxByIds(Long[] ids)
    {
        return zsyzTcxxMapper.deleteZsyzTcxxByIds(ids);
    }

    /**
     * 删除招商引资_投产信息信息
     * 
     * @param id 招商引资_投产信息ID
     * @return 结果
     */
    @Override
    public int deleteZsyzTcxxById(Long id)
    {
        return zsyzTcxxMapper.deleteZsyzTcxxById(id);
    }
}
